User
Query the authenticated account's prepaid credit balance.
Resource base path: /restapi/user
| Method | Path | Description |
|---|---|---|
GET | /restapi/user/creditBalance | User Credit Balance |
note
apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.
User Credit Balance
User Credit Balance.
GET /restapi/user/creditBalance
Example request
curl -X GET \
"https://portal.your-domain.com/restapi/user/creditBalance" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"
Responses
| Code | Description |
|---|---|
200 | Successful operation. |
401 | Invalid authentication credentials. |
550 | Permission denied. |
{
"userEmail": "user@example.com",
"userType": "string",
"balanceAmount": 0.0,
"type": "string"
}